Search found 196 matches

by SkippyDo
Thu Dec 27, 2018 2:23 pm
Forum: ZoneMinder 1.32.x
Topic: zm/api/monitors.json failing
Replies: 10
Views: 2695

Re: zm/api/monitors.json failing

Yes, I see those tests everywhere, but... no matter what I do I can only get this response: The requested URL /zm/host/api/getVersion.json was not found on this server. Just what is the "host" directory? Is it a virtual rewrite or something? I have no such directory (nothing, anywhere). It "seems" l...
by SkippyDo
Thu Dec 27, 2018 9:26 am
Forum: ZoneMinder 1.32.x
Topic: zm/api/monitors.json failing
Replies: 10
Views: 2695

Re: zm/api/monitors.json failing

What version of PHP should I be running? I seem to have bits for both 7.0 and 7.3 installed.
by SkippyDo
Thu Dec 27, 2018 7:46 am
Forum: ZoneMinder 1.32.x
Topic: zm/api/monitors.json failing
Replies: 10
Views: 2695

Re: zm/api/monitors.json failing

The requested URL /zm/api/host/getVersion.json was not found on this server.

NOTE: In my subject title I omitted the "host" path component. But with or without it still produces a 404 error.
by SkippyDo
Wed Dec 26, 2018 2:34 pm
Forum: ZoneMinder 1.32.x
Topic: zm/api/monitors.json failing
Replies: 10
Views: 2695

Re: zm/api/monitors.json failing

Reinstalled everything (except OS) and still no go. However, I now get a page with "Release Notes for CakePHP 2.10.11." when specifying only the api directory (http://<server>/zm/api), which means that I'm now reading the api directory. Contents of my zm/api directory: app/ build.properties build.xm...
by SkippyDo
Mon Dec 24, 2018 11:12 pm
Forum: ZoneMinder 1.32.x
Topic: zm/api/monitors.json failing
Replies: 10
Views: 2695

Re: zm/api/monitors.json failing

From what I can tell those are installed: ii cakephp 2.10.11-2 all rapid application development framework for PHP ii cakephp-scripts 2.10.11-2 all rapid application development framework for PHP (scripts) ii php 2:7.3+69 all server-side, HTML-embedded scripting language (default) ii php-apcu 5.1.16...
by SkippyDo
Mon Dec 24, 2018 5:33 pm
Forum: ZoneMinder 1.32.x
Topic: zm/api/monitors.json failing
Replies: 10
Views: 2695

zm/api/monitors.json failing

Recently installed 1.32.2 and it looks like I've got api configuration issues as I am unable to get http://<server>/zm/api/monitors.json to work from a browser (first discovered there was an api issue when attempting to access via ZMninja pro). No clue as to where to look for resolving this.
by SkippyDo
Mon Dec 24, 2018 5:22 pm
Forum: ZoneMinder 1.32.x
Topic: Upgrade from 1.30.4
Replies: 14
Views: 5969

Re: Upgrade from 1.30.4

Success!

I had to ditch NetworkManager.

Now I've got some api issues, but will start up a separate thread for it.
by SkippyDo
Sat Dec 22, 2018 3:51 am
Forum: ZoneMinder 1.32.x
Topic: Upgrade from 1.30.4
Replies: 14
Views: 5969

Re: Upgrade from 1.30.4

OK, got a bit impatient (after having a working system for nearly a year I felt naked w/o an operational system) and proceeded. All seems to have went fine with the install, though I'm battling a wireless interface problem that appears to be due to files from the sid release: all was working fine (c...
by SkippyDo
Fri Dec 21, 2018 3:09 am
Forum: ZoneMinder 1.32.x
Topic: Upgrade from 1.30.4
Replies: 14
Views: 5969

Re: Upgrade from 1.30.4

OK... have my server back up and now attempting to install per the instructions linked above.

'sudo apt list --upgradeable' returns a ton of packages (366), all marked as "unstable." Am I effectively upgrading my system to "sid?"

At this point I'm hesitant to proceed.
by SkippyDo
Tue Dec 18, 2018 1:55 am
Forum: ZoneMinder 1.32.x
Topic: Upgrade from 1.30.4
Replies: 14
Views: 5969

Re: Upgrade from 1.30.4

I've got a fresh install of Debian 9 and am now ready to install 1.32.x: took me a while to get UEIF and an SSD system drive configured! (switched from BIOS/MBR) Regarding the instructions shown in the above link, I would follow the 1.30.4 instructions for the LAMP parts and then follow "Debian 9 wi...
by SkippyDo
Tue Dec 11, 2018 3:25 pm
Forum: ZoneMinder 1.32.x
Topic: Upgrade from 1.30.4
Replies: 14
Views: 5969

Re: Upgrade from 1.30.4

Well, looks like the time came sooner than I'd expected: I destroyed my database(s) while trying to resolve an interface issue (long story that I'd already like to forget!). So, the question, for me, now becomes: How do I install this release when I have a trashed 1.30.4 install? I don't know what a...
by SkippyDo
Wed Dec 05, 2018 10:03 pm
Forum: ZoneMinder 1.30.x
Topic: zoneminder crashes frequently
Replies: 2
Views: 1232

Re: zoneminder crashes frequently

Stating what hardware and OS you're running would help...

Seems that the source of the problem might be with MySQL. I'd look for logs associate with it (since I have no idea what system I cannot point you where to look). This is about the limit of my "knowledge."
by SkippyDo
Wed Dec 05, 2018 8:30 pm
Forum: ZoneMinder 1.30.x
Topic: Silly-high capture rates
Replies: 2
Views: 842

Re: Silly-high capture rates

I ran into the same problem. Looks traceable to mysql. Logfile shows: 181204 6:05:32 [ERROR] mysqld got signal 11 ; This could be because you hit a bug. It is also possible that this binary or one of the libraries it was linked against is corrupt, improperly built, or misconfigured. This error can a...
by SkippyDo
Sun Dec 02, 2018 6:08 pm
Forum: ZoneMinder 1.32.x
Topic: Upgrade from 1.30.4
Replies: 14
Views: 5969

Re: Upgrade from 1.30.4

OK, thanks. I've got this simmering on the back burner, though intend to bump it when the front burners are cleared.
by SkippyDo
Sat Dec 01, 2018 9:25 pm
Forum: ZoneMinder 1.32.x
Topic: Upgrade from 1.30.4
Replies: 14
Views: 5969

Re: Upgrade from 1.30.4

Any info for upgrades on Debain 9? (I'm not even sure what basic upgrade actions would be necessary, let alone for a specific OS. I once compiled and built from scratch 1.30.4 and later installed the pre-buiilt binary, but never have upgraded.)